# Create a video entity

## /v1/video-entities

<mark style="color:green;">`POST`</mark> `https://api.uiza.io/api-vod/owner/v1/video-entities`

#### Request Body

| Name                                   | Type   | Description                                                                                                                   |
| -------------------------------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------- |
| name<mark style="color:red;">\*</mark> | string | The entity's name.                                                                                                            |
| description                            | string | An arbitrary string attached to the object. Often useful for displaying to users.                                             |
| encoding\_template                     | string | Indicates whether encoding mode is enabled for the live\_entity. Set as `sd, hd` or `fhd` to enable and as `none` to disable. |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": {
    "id": "2b970a39-874a-4d2a-be8a-fd445646d74c",
    "name": "My video 1",
    "description": "Oops",
    "input_url": "http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4",
    "encoding_template": "hd",
    "content_policy": "public",
    "status": "processing",
    "playback": null,
    "created_at": "2020-03-23T07:22:34Z",
    "updated_at": "2020-03-23T07:22:34Z"
  }
}
```

{% endtab %}

{% tab title="400 " %}
{% tabs %}
{% tab title="Missing name" %}

```
{
  "message": "Your request is missing name parameter. Please, verify and resubmit.",
  "error_type": "invalid_request_error"
}
```

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="401 " %}

```
{
  "message": "You are unauthorized to access the requested resource. Please verify and resubmit.",
  "error_type": "invalid_request_error"
}5
```

{% endtab %}

{% tab title="500 " %}

```
{
  "message": "An unexpected error occurred on Uiza's end.",
  "error_type": "api_error"
}
```

{% endtab %}
{% endtabs %}

{% code title="Sample Request" %}

```
curl --location --request POST 'https://api.uiza.io/api-vod/owner/v1/video-entities' \
--header 'Authorization: <token>' \
--header 'uiza-app-id: <your_app_id>' \
--data-raw '{
    "name": "My video 1",
    "input_url": "http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4",
    "encoding_template": "hd"
}'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uiza.io/2022-06-06/api-reference/video-entities/create-a-video-entity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
